complexType "PublicExecutionReportRetracted"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 attributes, 18 elements
Defined: | globally in fpml-transparency-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, (parentCorrelationId?, correlationId[0..2], sequenceNumber?)?, onBehalfOf[0..4]?, (((originatingEvent?, trade) | amendment | increase | (terminatingEvent?, termination) | novation | change)? | (primaryAssetClass?, tradeIdentifier?, eventIdentifier[0..2]))?, (party*, account*)?
</...>

Content Model Elements (18):

  account, amendment, change, correlationId, eventIdentifier (in publicExecutionReportRetracted), header (defined in RequestMessage complexType), increase, novation, onBehalfOf (defined in OnBehalfOf.model group), | originatingEvent (defined in Events.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), primaryAssetClass (in publicExecutionReportRetracted), sequenceNumber (defined in Sequence.model group), terminatingEvent, termination, trade (defined in Events.model group), tradeIdentifier (in publicExecutionReportRetracted)

All Direct / Indirect Based Elements (1):

  publicExecutionReportRetracted

Known Usage Locations

- As direct type of elements (1):
  publicExecutionReportRetracted

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) PublicExecutionReportRetracted

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="PublicExecutionReportRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:group minOccurs="0" ref="Events.model"/> <xsd:sequence> <xsd:element minOccurs="0" name="primaryAssetClass" type="AssetClass"/> <xsd:element minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element maxOccurs="2" minOccurs="0" name="eventIdentifier" type="BusinessEventIdentifier"/> </xsd:sequence> </xsd:choice> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/18)
eventIdentifier

  Type: | BusinessEventIdentifier, complex content

  Individual parties should only use a single event identifier to identify a retraction. Platforms providing services on behalf of both parties in a transaction may provide event identifiers for both parties; in this case it is up to the recipient (the trade repository) to validate that the event IDs refer to the same event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="eventIdentifier" type="BusinessEventIdentifier"/>

primaryAssetClass

  Type: | AssetClass, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="primaryAssetClass" type="AssetClass"/>

tradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.